For the complete documentation index, see llms.txt. This page is also available as Markdown.

Excel file download containing filtered product list

Excel file download containing filtered product list

Required permissions: PRODUCT

post
/tenants/{tenantUid}/products/export
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body

ProductSearch model

exactMatchbooleanOptional
productGroupUidsstring[]Optional

Filter on product group UIDs

querystringOptional
productNamestringOptional

Filter on product name. Case-insensitive partial match unless exactMatch is true.

gtinstringOptional

Filter on GTIN barcode. Exact match.

supplierUidstringOptionalPattern: ^[A-Za-z0-9-_]+
propertyUidsstring[]Optional

Filter on property UIDs a product must be linked to

propertyOptionUidsstring[]Optional

Filter on property option UIDs a product must be linked to

productUidsstring[]Optional

A list of productUids to search for

hideVariantsbooleanOptional

Do not search in variant products.

includeDiscontinuedbooleanOptional
hideNotAllowPurchasebooleanOptional

when true, only show products with allowPurchase = true

brandUidsstring[]Optional
productSkusstring[]Optional
hasSoaAmountsbooleanOptional

optionally filter on products that have or do not have SOA amounts

Responses
200

Successful response - Excel file containing filtered product list

application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
string · binaryOptional
post/tenants/{tenantUid}/products/export
POST /v2/tenants/{tenantUid}/products/export HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 422

{
  "exactMatch": true,
  "productGroupUids": [
    "text"
  ],
  "productGroupScopes": [
    "SALE"
  ],
  "query": "text",
  "productName": "text",
  "gtin": "text",
  "supplierUid": "text",
  "propertyUids": [
    "text"
  ],
  "propertyOptionUids": [
    "text"
  ],
  "productUids": [
    "text"
  ],
  "hideVariants": true,
  "visibility": [
    "ALWAYS_VISIBLE"
  ],
  "includeDiscontinued": true,
  "productTypes": [
    "STOCK"
  ],
  "hideNotAllowPurchase": true,
  "brandUids": [
    "text"
  ],
  "productSkus": [
    "text"
  ],
  "hasSoaAmounts": true
}
200

Successful response - Excel file containing filtered product list

binary

Last updated

Was this helpful?